diff -ruN vdr-1.7.42/CONTRIBUTORS vdr-2.0.0/CONTRIBUTORS
--- vdr-1.7.42/CONTRIBUTORS	2013-03-18 13:38:54.000000000 +0100
+++ vdr-2.0.0/CONTRIBUTORS	2013-03-29 16:37:16.000000000 +0100
@@ -3116,6 +3116,7 @@
 Matthias Senzel <matthias.senzel@t-online.de>
  for reporting a problem with switching back to live viewing after replay in a setup
  with device bonding
+ for reporting a problem with handling overlapping pending timers
 
 Marek Nazarko <mnazarko@gmail.com>
  for translating OSD texts to the Polish language
diff -ruN vdr-1.7.42/HISTORY vdr-2.0.0/HISTORY
--- vdr-1.7.42/HISTORY	2013-03-23 11:58:28.000000000 +0100
+++ vdr-2.0.0/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -7772,3 +7772,13 @@
 - Fixed formatting the channel definition example in the vdr(5) man page (thanks to
   Dominic Evans).
 - Updated the default channels.conf file.
+
+
+2013-03-31: Version 2.0.0
+
+- Updated the Lithuanian OSD texts (thanks to Valdemaras Pipiras).
+- Fixed the description of the 'M' parameter of channel definitions in vdr.5.
+- Updated the French OSD texts (thanks to Dominique Plu).
+- Fixed handling overlapping pending timers (reported by Matthias Senzel).
+- Bumped all version numbers to 2.0.0.
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/dvbhddevice/HISTORY vdr-2.0.0/PLUGINS/src/dvbhddevice/HISTORY
--- vdr-1.7.42/PLUGINS/src/dvbhddevice/HISTORY	2013-02-24 13:00:41.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/dvbhddevice/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -67,3 +67,7 @@
 - Fixed flashing OSD in "high level OSD" mode in case a menu is open while subtitles
   are being displayed.
 - Fixed immediately disappearing subtitle track menu when selecting "No subtitles".
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/dvbhddevice/dvbhddevice.c vdr-2.0.0/PLUGINS/src/dvbhddevice/dvbhddevice.c
--- vdr-1.7.42/PLUGINS/src/dvbhddevice/dvbhddevice.c	2013-03-03 12:22:39.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/dvbhddevice/dvbhddevice.c	2013-03-31 11:30:18.000000000 +0200
@@ -10,7 +10,7 @@
 #include "menu.h"
 #include "setup.h"
 
-static const char *VERSION        = "0.0.9";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = trNOOP("HD Full Featured DVB device");
 static const char *MAINMENUENTRY  = "dvbhddevice";
 
diff -ruN vdr-1.7.42/PLUGINS/src/dvbsddevice/HISTORY vdr-2.0.0/PLUGINS/src/dvbsddevice/HISTORY
--- vdr-1.7.42/PLUGINS/src/dvbsddevice/HISTORY	2013-01-25 11:52:43.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/dvbsddevice/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -41,3 +41,7 @@
 2013-01-25: Version 0.0.9
 
 - Returning 0 from cDvbSdFfDevice::NumProvidedSystems() if option --outputonly is given.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/dvbsddevice/dvbsddevice.c vdr-2.0.0/PLUGINS/src/dvbsddevice/dvbsddevice.c
--- vdr-1.7.42/PLUGINS/src/dvbsddevice/dvbsddevice.c	2013-01-25 11:48:50.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/dvbsddevice/dvbsddevice.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: dvbsddevice.c 1.9 2013/01/25 10:48:50 kls Exp $
+ * $Id: dvbsddevice.c 1.10 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <getopt.h>
 #include <vdr/plugin.h>
 #include "dvbsdffdevice.h"
 
-static const char *VERSION        = "0.0.9";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = "SD Full Featured DVB device";
 
 class cPluginDvbsddevice : public cPlugin {
diff -ruN vdr-1.7.42/PLUGINS/src/epgtableid0/HISTORY vdr-2.0.0/PLUGINS/src/epgtableid0/HISTORY
--- vdr-1.7.42/PLUGINS/src/epgtableid0/HISTORY	2013-01-12 15:08:20.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/epgtableid0/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -12,3 +12,7 @@
 2013-01-12: Version 0.0.3
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/epgtableid0/epgtableid0.c vdr-2.0.0/PLUGINS/src/epgtableid0/epgtableid0.c
--- vdr-1.7.42/PLUGINS/src/epgtableid0/epgtableid0.c	2013-01-12 15:12:13.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/epgtableid0/epgtableid0.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,13 +3,13 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: epgtableid0.c 1.3 2013/01/12 14:12:13 kls Exp $
+ * $Id: epgtableid0.c 1.4 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <vdr/epg.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.0.3";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = "EPG handler for events with table id 0x00";
 
 // --- cTable0Handler --------------------------------------------------------
diff -ruN vdr-1.7.42/PLUGINS/src/hello/HISTORY vdr-2.0.0/PLUGINS/src/hello/HISTORY
--- vdr-1.7.42/PLUGINS/src/hello/HISTORY	2013-01-12 15:08:43.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/hello/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -82,3 +82,7 @@
 2013-01-12: Version 0.2.7
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/hello/hello.c vdr-2.0.0/PLUGINS/src/hello/hello.c
--- vdr-1.7.42/PLUGINS/src/hello/hello.c	2013-01-12 15:12:18.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/hello/hello.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: hello.c 2.5 2013/01/12 14:12:18 kls Exp $
+ * $Id: hello.c 2.6 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <getopt.h>
@@ -12,7 +12,7 @@
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.2.7";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = trNOOP("A friendly greeting");
 static const char *MAINMENUENTRY  = trNOOP("Hello");
 
diff -ruN vdr-1.7.42/PLUGINS/src/osddemo/HISTORY vdr-2.0.0/PLUGINS/src/osddemo/HISTORY
--- vdr-1.7.42/PLUGINS/src/osddemo/HISTORY	2013-02-19 13:44:08.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/osddemo/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -55,3 +55,7 @@
 2013-02-19: Version 0.3.1
 
 - The demos can now also be ended with the "Back" key.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/osddemo/osddemo.c vdr-2.0.0/PLUGINS/src/osddemo/osddemo.c
--- vdr-1.7.42/PLUGINS/src/osddemo/osddemo.c	2013-02-19 13:43:19.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/osddemo/osddemo.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,13 +3,13 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: osddemo.c 2.11 2013/02/19 12:43:19 kls Exp $
+ * $Id: osddemo.c 2.12 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <vdr/osd.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.3.1";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = "Demo of arbitrary OSD setup";
 static const char *MAINMENUENTRY  = "Osd Demo";
 
diff -ruN vdr-1.7.42/PLUGINS/src/pictures/HISTORY vdr-2.0.0/PLUGINS/src/pictures/HISTORY
--- vdr-1.7.42/PLUGINS/src/pictures/HISTORY	2013-03-17 15:07:35.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/pictures/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -83,3 +83,7 @@
 2013-01-12: Version 0.1.5
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/pictures/pictures.c vdr-2.0.0/PLUGINS/src/pictures/pictures.c
--- vdr-1.7.42/PLUGINS/src/pictures/pictures.c	2013-01-12 15:12:42.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/pictures/pictures.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: pictures.c 2.8 2013/01/12 14:12:42 kls Exp $
+ * $Id: pictures.c 2.9 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <getopt.h>
@@ -11,7 +11,7 @@
 #include "menu.h"
 #include "player.h"
 
-static const char *VERSION       = "0.1.5";
+static const char *VERSION       = "2.0.0";
 static const char *DESCRIPTION   = trNOOP("A simple picture viewer");
 static const char *MAINMENUENTRY = trNOOP("Pictures");
 
diff -ruN vdr-1.7.42/PLUGINS/src/rcu/HISTORY vdr-2.0.0/PLUGINS/src/rcu/HISTORY
--- vdr-1.7.42/PLUGINS/src/rcu/HISTORY	2013-01-12 15:09:40.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/rcu/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -16,3 +16,7 @@
 2013-01-12: Version 0.0.4
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/rcu/rcu.c vdr-2.0.0/PLUGINS/src/rcu/rcu.c
--- vdr-1.7.42/PLUGINS/src/rcu/rcu.c	2013-01-12 15:12:54.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/rcu/rcu.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: rcu.c 1.4 2013/01/12 14:12:54 kls Exp $
+ * $Id: rcu.c 1.5 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <getopt.h>
@@ -16,7 +16,7 @@
 #include <vdr/thread.h>
 #include <vdr/tools.h>
 
-static const char *VERSION        = "0.0.4";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = "Remote Control Unit";
 
 #define REPEATLIMIT      150 // ms
diff -ruN vdr-1.7.42/PLUGINS/src/servicedemo/HISTORY vdr-2.0.0/PLUGINS/src/servicedemo/HISTORY
--- vdr-1.7.42/PLUGINS/src/servicedemo/HISTORY	2013-01-12 15:10:14.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/servicedemo/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -17,3 +17,7 @@
 2013-01-12: Version 0.1.4
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/servicedemo/svccli.c vdr-2.0.0/PLUGINS/src/servicedemo/svccli.c
--- vdr-1.7.42/PLUGINS/src/servicedemo/svccli.c	2013-02-17 15:10:26.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/servicedemo/svccli.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svccli.c 2.3 2013/02/17 14:10:26 kls Exp $
+ * $Id: svccli.c 2.4 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <stdlib.h>
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.4";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = "Service demo client";
 static const char *MAINMENUENTRY  = "Service demo";
 
diff -ruN vdr-1.7.42/PLUGINS/src/servicedemo/svcsvr.c vdr-2.0.0/PLUGINS/src/servicedemo/svcsvr.c
--- vdr-1.7.42/PLUGINS/src/servicedemo/svcsvr.c	2013-02-17 15:10:38.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/servicedemo/svcsvr.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svcsvr.c 2.3 2013/02/17 14:10:38 kls Exp $
+ * $Id: svcsvr.c 2.4 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <stdlib.h>
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.4";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = "Service demo server";
 
 class cPluginSvcSvr : public cPlugin {
diff -ruN vdr-1.7.42/PLUGINS/src/skincurses/HISTORY vdr-2.0.0/PLUGINS/src/skincurses/HISTORY
--- vdr-1.7.42/PLUGINS/src/skincurses/HISTORY	2013-03-03 16:35:15.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/skincurses/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -114,3 +114,7 @@
 
 - The "Recording info" page now displays the name of the channel (if available)
   from which this recording was taken.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/skincurses/skincurses.c vdr-2.0.0/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.7.42/PLUGINS/src/skincurses/skincurses.c	2013-03-03 16:33:59.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/skincurses/skincurses.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 2.12 2013/03/03 15:33:59 kls Exp $
+ * $Id: skincurses.c 2.13 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <ncurses.h>
@@ -12,7 +12,7 @@
 #include <vdr/skins.h>
 #include <vdr/videodir.h>
 
-static const char *VERSION        = "0.1.15";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = trNOOP("A text only skin");
 static const char *MAINMENUENTRY  = NULL;
 
diff -ruN vdr-1.7.42/PLUGINS/src/status/HISTORY vdr-2.0.0/PLUGINS/src/status/HISTORY
--- vdr-1.7.42/PLUGINS/src/status/HISTORY	2013-01-12 15:10:44.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/status/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -56,3 +56,7 @@
 2013-01-12: Version 0.3.3
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/status/status.c vdr-2.0.0/PLUGINS/src/status/status.c
--- vdr-1.7.42/PLUGINS/src/status/status.c	2013-01-12 15:13:17.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/status/status.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,13 +3,13 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: status.c 2.3 2013/01/12 14:13:17 kls Exp $
+ * $Id: status.c 2.4 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <vdr/plugin.h>
 #include <vdr/status.h>
 
-static const char *VERSION        = "0.3.3";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = "Status monitor test";
 static const char *MAINMENUENTRY  = NULL;
 
diff -ruN vdr-1.7.42/PLUGINS/src/svdrpdemo/HISTORY vdr-2.0.0/PLUGINS/src/svdrpdemo/HISTORY
--- vdr-1.7.42/PLUGINS/src/svdrpdemo/HISTORY	2013-01-12 15:10:59.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/svdrpdemo/HISTORY	2013-03-31 11:30:18.000000000 +0200
@@ -21,3 +21,7 @@
 2013-01-12: Version 0.0.5
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-03-31: Version 2.0.0
+
+- Official release.
diff -ruN vdr-1.7.42/PLUGINS/src/svdrpdemo/svdrpdemo.c vdr-2.0.0/PLUGINS/src/svdrpdemo/svdrpdemo.c
--- vdr-1.7.42/PLUGINS/src/svdrpdemo/svdrpdemo.c	2013-01-12 15:13:28.000000000 +0100
+++ vdr-2.0.0/PLUGINS/src/svdrpdemo/svdrpdemo.c	2013-03-31 11:30:18.000000000 +0200
@@ -3,12 +3,12 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svdrpdemo.c 2.2 2013/01/12 14:13:28 kls Exp $
+ * $Id: svdrpdemo.c 2.3 2013/03/31 09:30:18 kls Exp $
  */
 
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.0.5";
+static const char *VERSION        = "2.0.0";
 static const char *DESCRIPTION    = "How to add SVDRP support to a plugin";
 
 class cPluginSvdrpdemo : public cPlugin {
diff -ruN vdr-1.7.42/config.h vdr-2.0.0/config.h
--- vdr-1.7.42/config.h	2013-03-16 16:12:14.000000000 +0100
+++ vdr-2.0.0/config.h	2013-03-31 11:30:18.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 2.75 2013/03/16 15:12:14 kls Exp $
+ * $Id: config.h 2.76 2013/03/31 09:30:18 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,13 +22,13 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.7.42"
-#define VDRVERSNUM   10742  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "2.0.0"
+#define VDRVERSNUM   20000  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
-#define APIVERSION  "1.7.41"
-#define APIVERSNUM   10741  // Version * 10000 + Major * 100 + Minor
+#define APIVERSION  "2.0.0"
+#define APIVERSNUM   20000  // Version * 10000 + Major * 100 + Minor
 
 // When loading plugins, VDR searches them by their APIVERSION, which
 // may be smaller than VDRVERSION in case there have been no changes to
diff -ruN vdr-1.7.42/po/fr_FR.po vdr-2.0.0/po/fr_FR.po
--- vdr-1.7.42/po/fr_FR.po	2013-03-11 14:11:49.000000000 +0100
+++ vdr-2.0.0/po/fr_FR.po	2013-03-29 11:27:47.000000000 +0100
@@ -839,7 +839,7 @@
 msgstr "Infos chaîne lors du changement"
 
 msgid "Setup.OSD$Timeout requested channel info"
-msgstr "Compte à rebours infos chaîne"
+msgstr "Affichage infos chaîne non permanent"
 
 msgid "Setup.OSD$Scroll pages"
 msgstr "Défilement par pages"
@@ -1112,7 +1112,7 @@
 msgstr "Affichage mode de lecture"
 
 msgid "Setup.Replay$Show remaining time"
-msgstr "Montrer le temps restant"
+msgstr "Afficher le temps restant"
 
 msgid "Setup.Replay$Progress display time (s)"
 msgstr "Afficher la barre de progression (s)"
diff -ruN vdr-1.7.42/po/lt_LT.po vdr-2.0.0/po/lt_LT.po
--- vdr-1.7.42/po/lt_LT.po	2013-03-11 14:12:23.000000000 +0100
+++ vdr-2.0.0/po/lt_LT.po	2013-03-28 10:01:52.000000000 +0100
@@ -847,7 +847,7 @@
 msgstr "Katalogai esantys laikmačių meniu"
 
 msgid "Setup.OSD$Always sort folders first"
-msgstr ""
+msgstr "Visada pirmiau rūšiuoti katalogus"
 
 msgid "Setup.OSD$Number keys for characters"
 msgstr "Skaičių mygtukai simboliams"
diff -ruN vdr-1.7.42/timers.c vdr-2.0.0/timers.c
--- vdr-1.7.42/timers.c	2013-03-16 11:37:10.000000000 +0100
+++ vdr-2.0.0/timers.c	2013-03-29 16:37:16.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: timers.c 2.17 2013/03/16 10:37:10 kls Exp $
+ * $Id: timers.c 2.18 2013/03/29 15:37:16 kls Exp $
  */
 
 #include "timers.h"
@@ -720,8 +720,10 @@
   for (cTimer *ti = First(); ti; ti = Next(ti)) {
       if (!ti->Recording() && ti->Matches(t)) {
          if (ti->Pending()) {
-            if (ti->Index() > LastPending)
+            if (ti->Index() > LastPending) {
                LastPending = ti->Index();
+               return ti;
+               }
             else
                continue;
             }
diff -ruN vdr-1.7.42/vdr.5 vdr-2.0.0/vdr.5
--- vdr-1.7.42/vdr.5	2013-03-18 13:37:17.000000000 +0100
+++ vdr-2.0.0/vdr.5	2013-03-29 11:25:56.000000000 +0100
@@ -8,7 +8,7 @@
 .\" License as specified in the file COPYING that comes with the
 .\" vdr distribution.
 .\"
-.\" $Id: vdr.5 2.34 2013/03/18 12:37:17 kls Exp $
+.\" $Id: vdr.5 2.36 2013/03/29 10:25:56 kls Exp $
 .\"
 .TH vdr 5 "31 Mar 2013" "2.0" "Video Disk Recorder Files"
 .SH NAME
@@ -98,7 +98,7 @@
 \fBH\fR@Horizontal polarization
 \fBI\fR@Inversion (0, 1)
 \fBL\fR@Left circular polarization
-\fBM\fR@Modulation (2, 5, 6, 10, 11, 16, 32, 64, 128, 256, 998)
+\fBM\fR@Modulation (2, 5, 6, 7, 10, 11, 12, 16, 32, 64, 128, 256, 999)
 \fBO\fR@rollOff (0, 20, 25, 35)
 \fBP\fR@stream id (0-255)
 \fBR\fR@Right circular polarization
@@ -126,13 +126,14 @@
 tab (@);
 l l.
 \fB2\fR@QPSK (DVB-S, DVB-S2, DVB-T, DVB-T2, ISDB-T)
-\fB5\fR@8PSK (DVB-S2)
+\fB5\fR@8PSK (DVB-S, DVB-S2)
 \fB6\fR@16APSK (DVB-S2)
 \fB7\fR@32APSK (DVB-S2)
 \fB10\fR@VSB8 (ATSC aerial)
 \fB11\fR@VSB16 (ATSC aerial)
 \fB12\fR@DQPSK (ISDB-T)
 \fB16\fR@QAM16 (DVB-T, DVB-T2, ISDB-T)
+\fB32\fR@QAM32
 \fB64\fR@QAM64 (DVB-C, DVB-T, DVB-T2, ISDB-T)
 \fB128\fR@QAM128 (DVB-C)
 \fB256\fR@QAM256 (DVB-C, DVB-T2)